> ## Documentation Index
> Fetch the complete documentation index at: https://plainrouter.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Replay eligible deliveries

> Evaluates retained failed deliveries and queues the eligible subset for another delivery attempt.



## OpenAPI

````yaml https://plainrouter.com/openapi.json post /deliveries/replay
openapi: 3.1.0
info:
  title: PlainRouter Conversion API
  version: 0.5.0
  description: PlainRouter public Signals Conversion API.
servers:
  - url: https://plainrouter.com/api/v1
    description: Production
security:
  - signalTrackerSecret: []
paths:
  /deliveries/replay:
    post:
      tags:
        - Operations
      summary: Replay eligible deliveries
      description: >-
        Evaluates retained failed deliveries and queues the eligible subset for
        another delivery attempt.
      operationId: replayDeliveries
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                delivery_ids:
                  type: array
                  items:
                    type: integer
                event_name:
                  type:
                    - string
                    - 'null'
                  maxLength: 100
                limit:
                  type:
                    - integer
                    - 'null'
                  minimum: 1
      responses:
        '202':
          description: Replay candidates were evaluated and eligible deliveries queued.
          content:
            application/json:
              schema:
                type: object
                properties:
                  queued:
                    type: integer
                  expired:
                    type: integer
                  payload_expired:
                    type: integer
                  capped:
                    type: boolean
                required:
                  - queued
                  - expired
                  - payload_expired
                  - capped
          headers:
            Location:
              description: Event collection to poll for updated delivery state.
              schema:
                type: string
                format: uri
        '401':
          description: Invalid or missing Signal tracker secret.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '422':
          description: Request validation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
components:
  schemas:
    ErrorMessage:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorMessage
    ValidationError:
      type: object
      properties:
        message:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
      required:
        - message
        - errors
      title: ValidationError
  securitySchemes:
    signalTrackerSecret:
      type: http
      description: >-
        Per-tracker bearer secret. It authenticates only the Signal tracker
        represented by the credential.
      scheme: bearer

````